Redmine - Patch #42602

Replaces deckarO1-task_list with commonmarks tasklist extension
2025-04-21 07:34 - Marius BALTEANU

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Marius BALTEANU % Done: 0%
Category: Code cleanup/refactoring Estimated time: 0.00 hour
Target version: 6.1.0

Description

Replaces deckar01-task_list with tasklist extension provided by commonmark.

Related issues:

Related to Redmine - Patch #40197: Update commonmarker to 2.3.0 Closed

Associated revisions

Revision 23718 - 2025-04-27 08:58 - Marius BALTEANU

Replaces deckar01-task_list gem with commonmarks tasklist extension (#42602).

Revision 23723 - 2025-04-27 11:37 - Go MAEDA
Fix RuboCop Layout/EmptyLinesAroundMethodBody (#42602).

History

#1 - 2025-04-21 07:34 - Marius BALTEANU

- Category changed from Gems support to Code cleanup/refactoring

#2 - 2025-04-21 07:36 - Marius BALTEANU
- Related to Patch #40197: Update commonmarker to 2.3.0 added

#3 - 2025-04-22 23:00 - Marius BALTEANU
- File 0001-Replaces-deckar01-task_list-gem-with-commonmark-task.patch added

| made a patch that:

e replaces the deckar01-task_list gem with the extension provided by the commonmarker
e updates the sanitization rules to allow the markup for task list items

#4 - 2025-04-27 08:59 - Marius BALTEANU

- Status changed from New to Closed

I've committed the patch.

Files

0001-Replaces-deckar01-task_list-gem-with-commonmark-task.patch 7.57 KB 2025-04-22
https://rubygems.org/gems/deckar01-task_list
https://github.github.com/gfm/#task-list-items-extension-
